Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IMouseEvent

    java.lang.Object
      igeo.gui.IMouseEvent

    public class IMouseEvent

extends java.lang.Object

Abstracted mouse event (x,y and button type).

Author:
  Satoru Sugihara

Field Summary
`boolean` | `altDown`
`int` | `button`
`static int` | `Button1`
`static int` | `Button2`
`static int` | `Button3`
`boolean` | `controlDown`
`float` | `mouseX`
`float` | `mouseY`
`boolean` | `shiftDown`

Constructor Summary
`IMouseEvent()`
`IMouseEvent(float x, float y)`
`IMouseEvent(int b)`
`IMouseEvent(int b, boolean shiftDown, boolean controlDown, boolean altDown)`
`IMouseEvent(int b, boolean shiftDown, boolean controlDown, boolean altDown, float x, float y)`
`IMouseEvent(int b, float x, float y)`
`IMouseEvent(java.awt.event.MouseEvent e)`

Method Summary
`int` | `getX()`
`int` | `getY()`
`boolean` | `isAltDown()`
`boolean` | `isControlDown()`
`boolean` | `isShiftDown()`
`boolean` | `match(IMouseEvent e)` check button matching
`boolean` | `match(java.awt.event.MouseEvent e)` check button matching

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Button1

    public static final int Button1

See Also:
  Constant Field Values

### Button2

    public static final int Button2

See Also:
  Constant Field Values

### Button3

    public static final int Button3

See Also:
  Constant Field Values

### button

    public int button

### shiftDown

    public boolean shiftDown

### controlDown

    public boolean controlDown

### altDown

    public boolean altDown

### mouseX

    public float mouseX

### mouseY

    public float mouseY

Constructor Detail

### IMouseEvent

    public IMouseEvent()

### IMouseEvent

    public IMouseEvent(int b)

### IMouseEvent

    public IMouseEvent(int b,
                       boolean shiftDown,
                       boolean controlDown,
                       boolean altDown)

### IMouseEvent

    public IMouseEvent(float x,
                       float y)

### IMouseEvent

    public IMouseEvent(int b,
                       float x,
                       float y)

### IMouseEvent

    public IMouseEvent(int b,
                       boolean shiftDown,
                       boolean controlDown,
                       boolean altDown,
                       float x,
                       float y)

### IMouseEvent

    public IMouseEvent(java.awt.event.MouseEvent e)

Method Detail

### getX

    public int getX()

### getY

    public int getY()

### isShiftDown

    public boolean isShiftDown()

### isControlDown

    public boolean isControlDown()

### isAltDown

    public boolean isAltDown()

### match

    public boolean match(java.awt.event.MouseEvent e)

  check button matching

### match

    public boolean match(IMouseEvent e)

  check button matching

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD